aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xfburn/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-09-19 13:17:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-09-19 13:18:28 +0000
commit4e33fa86e2a671d636d4a1f05a695f41653f8a32 (patch)
tree9fa5c76a2a59fdcb9d0b7b6486bea82b4cfc409b /testing/xfburn/APKBUILD
parent925109d98ce121af3be08d4ffce06bbfdab9df61 (diff)
downloadaports-4e33fa86e2a671d636d4a1f05a695f41653f8a32.tar.gz
aports-4e33fa86e2a671d636d4a1f05a695f41653f8a32.tar.bz2
aports-4e33fa86e2a671d636d4a1f05a695f41653f8a32.tar.xz
testing/xfburn: rebuild
Diffstat (limited to 'testing/xfburn/APKBUILD')
-rw-r--r--testing/xfburn/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/testing/xfburn/APKBUILD b/testing/xfburn/APKBUILD
index d8e10c6701..a729e0e65f 100644
--- a/testing/xfburn/APKBUILD
+++ b/testing/xfburn/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xfburn
pkgver=0.4.3
-pkgrel=0
+pkgrel=1
pkgdesc="a simple CD/DVD burning tool based on libburnia libraries"
url="http://goodies.xfce.org/projects/applications/xfburn"
arch="all"
@@ -10,10 +10,24 @@ depends="desktop-file-utils hicolor-icon-theme"
makedepends="libburn-dev libisofs-dev libxfcegui4-dev thunar-dev librsvg-dev
gst-plugins-base-dev exo-dev"
install=
-subpackages="$pkgname-doc"
-source="http://archive.xfce.org/src/apps/xfburn/${pkgver%.*}/xfburn-$pkgver.tar.bz2"
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://archive.xfce.org/src/apps/xfburn/${pkgver%.*}/xfburn-$pkgver.tar.bz2
+ fix_empty_dir_segfault.patch"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ # fix build issue
+ sed -i '1 i\
+ #include <glib-object.h>' \
+ xfburn/xfburn-settings.h
+}
+
build ()
{
cd "$_builddir"
@@ -29,4 +43,5 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="147cdc2d909e751125be16103b8dc81f xfburn-0.4.3.tar.bz2"
+md5sums="147cdc2d909e751125be16103b8dc81f xfburn-0.4.3.tar.bz2
+7e04ba806e3a0d945d5921dc5d875bdd fix_empty_dir_segfault.patch"